GZDoom 3.8.2 Vintage Released

News about ZDoom, its child ports, or any closely related projects.
[ZDoom Home] [Documentation (Wiki)] [Official News] [Downloads] [Discord]
[🔎 Google This Site]

Moderator: GZDoom Developers

User avatar
drfrag
Vintage GZDoom Developer
Posts: 3110
Joined: Fri Apr 23, 2004 3:51 am
Discord: drfrag#3555
Github ID: drfrag666
Location: Spain

GZDoom 3.8.2 Vintage Released

Post by drfrag »

Notice: This might be the last vintage version.

Please note that the survey is currently closed. GZDoom 3.8.2 does not include the survey code that 3.5.0 did.


Download (Vintage, OpenGL 2.0) Highlights
  • bug fixes
  • fixed broken multiplayer
  • add dithering support to emulate higher BPC displays than your real one (from 3.5.1, requires GL 3.3)
  • improvements to Doom64 colouring (from 3.7.0, requires GL 3.3)
  • added RenderUnderlay
Last edited by drfrag on Fri Jul 12, 2019 2:09 pm, edited 1 time in total.
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3110
Joined: Fri Apr 23, 2004 3:51 am
Discord: drfrag#3555
Github ID: drfrag666
Location: Spain

Re: GZDoom 3.8.2 Vintage Released

Post by drfrag »

I've uploaded a 3.8.2a patch to fix NashGore 1.0 and other mods, it was unfortunately released after 3.8.2.
It adds the dummy OptionFont() function and derivatives plus DrawOptionText(). Just extract to your installation folder and overwrite the gzdoom.pk3 file.

3.8.2a patch
Last edited by drfrag on Fri Jul 12, 2019 2:04 pm, edited 1 time in total.
User avatar
Rachael
Admin
Posts: 12911
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom 3.8.2 Vintage Released

Post by Rachael »

That download host is a pile of elephant shit. There's no reason downloading a 1.1mb file should take 10 minutes on my connection.
_mental_
 
 
Posts: 3772
Joined: Sun Aug 07, 2011 4:32 am

Re: GZDoom 3.8.2 Vintage Released

Post by _mental_ »

I suggest you to just do a complete new release, no matter how small the fix is. If you are dead set to make a patch, you can use GitHub releases for this. Apparently, Amazon cloud is better than most of file hosting services.
User avatar
Rachael
Admin
Posts: 12911
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom 3.8.2 Vintage Released

Post by Rachael »

I would have no objection to this.
User avatar
Rachael
Admin
Posts: 12911
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom 3.8.2 Vintage Released

Post by Rachael »

Linux and Mac builds available.
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3110
Joined: Fri Apr 23, 2004 3:51 am
Discord: drfrag#3555
Github ID: drfrag666
Location: Spain

Re: GZDoom 3.8.2 Vintage Released

Post by drfrag »

I think it's better to just add a patch as long as it's part of the release, technically it's not a bug and the executable it's not affected.
It's not worth creating a different branch and doing another release from there, even just updating the packages would screw the download numbers and mean the source would not match the release. It's just a compatibility fix.
I didn't know you were uploading the releases to GitHub, i think Rachael herself suggested using FTP some time ago. BTW wrong branch but since the tags were not created from GitHub it doesn't matter. I always upload my stuff to GitHub.
Blzut3
 
 
Posts: 3090
Joined: Wed Nov 24, 2004 12:59 pm
Github ID: Blzut3
Graphics Processor: ATI/AMD with Vulkan Support

Re: GZDoom 3.8.2 Vintage Released

Post by Blzut3 »

Well it's worth noting that Mac users can't patch their pk3 since doing so would invalidate the bundle signature.
jets
Posts: 6
Joined: Wed Jun 19, 2013 4:51 am

Re: GZDoom 3.8.2 Vintage Released

Post by jets »

hi,

link for Linux 32-bit is bad (amd64).

best regards
User avatar
drfrag
Vintage GZDoom Developer
Posts: 3110
Joined: Fri Apr 23, 2004 3:51 am
Discord: drfrag#3555
Github ID: drfrag666
Location: Spain

Re: GZDoom 3.8.2 Vintage Released

Post by drfrag »

For now you could patch the Mac package with the pk3 and add updated to the link, i mean linking to a new one with a different name.
User avatar
Rachael
Admin
Posts: 12911
Joined: Tue Jan 13, 2004 1:31 pm
Discord: Rachael#3767
Twitch ID: madamerachelle
Github ID: madame-rachelle
Preferred Pronouns: She/Her

Re: GZDoom 3.8.2 Vintage Released

Post by Rachael »

jets wrote:hi,

link for Linux 32-bit is bad (amd64).

best regards
Thank you very much for the message, and letting me know!

It's been fixed.

Luckily, for future releases we're going with a new system where such blunders are less likely.
TaporGaming
Posts: 128
Joined: Fri Jun 08, 2018 7:24 am
Discord: Tapor#9385
Graphics Processor: Not Listed

Re: GZDoom 3.8.2 Vintage Released

Post by TaporGaming »

We need GZDOOM 4.0.0 vintage in the future


The Vintage version doesn't support a Vulkan version
User avatar
Graf Zahl
Lead GZDoom+Raze Developer
Lead GZDoom+Raze Developer
Posts: 47995
Joined: Sat Jul 19, 2003 10:19 am
Location: Germany

Re: GZDoom 3.8.2 Vintage Released

Post by Graf Zahl »

What precisely do you want? The localization system on older devices?
If that is the case, I'm sorry but it won't happen unless you find a developer investing time there.
Keep in mind that the Vintage build has been discontinues in favor of LZDoom which goes even further back in history because it was no longer possible to keep it in sync with the mainline.
_mental_
 
 
Posts: 3772
Joined: Sun Aug 07, 2011 4:32 am

Re: GZDoom 3.8.2 Vintage Released

Post by _mental_ »

TaporGaming wrote:The Vintage version doesn't support a Vulkan version
If your graphics hardware is Vulkan capable, why don’t you use GZDoom 4.x?
The sole reason of Vintage build is to run it on old hardware that doesn’t support modern OpenGL and Vulkan.
TaporGaming
Posts: 128
Joined: Fri Jun 08, 2018 7:24 am
Discord: Tapor#9385
Graphics Processor: Not Listed

Re: GZDoom 3.8.2 Vintage Released

Post by TaporGaming »

Yes. I'm in OpenGL 2.1 and slow. I have to upgrade it now

Return to “ZDoom (and related) News”